#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Mail-Sender
Version		:	0.903
Release		:	14.4.0.0%{?dist}
Summary		:	perl module for sending mails with attachments through an SMTP server
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Mail::Sender

Source0		:	%{sname}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Mail::Sender is deprecated. Email::Sender is the go-to choice when you
need to send Email from Perl. Go there, be happy!
 
Mail::Sender provides an object-oriented interface to sending mails. It
directly connects to the mail server using IO::Socket.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/Mail/Sender/CType/*.pm
%{_datadir}/perl5/core_perl/Mail/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
find %{buildroot} -type f -name Win32.pm -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

